// gendef.h include file
// contains general global definitions

/* Copyright (C) 2001 John Price <linux-guru@gcfl.net>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA. */


#ifndef __GENDEF_H__
#define __GENDEF_H__

typedef unsigned char   uint8;
typedef unsigned int    uint16;
typedef unsigned long   uint32;
typedef signed char     int8;
typedef signed int      int16;
typedef signed long     int32;
typedef unsigned char   bool;

union wordparts
{
  uint16 ui;
  struct
  {
    uint8 l;
    uint8 h;
  } b;
};

#endif //__GENDEF_H__
